set term postscript eps font "Times-Roman,20"
set output "anzahl_aller_durchlaufenen_nebenklassen.eps"
set logscale y
set yrange [1:12000000]
set title "Kanonizitaetstest eines Graphen aus 10 Knoten und 25 Kanten"
plot "Analyse/Daten/cosets_depthfirst_light_10.txt"  using ($2):($3) with lines  title "Leiterspiel Light", "./Analyse/Daten/cosets_depthfirst_big_10.txt" using ($2):($3) with lines title "Depthfirst StroLL", "./Analyse/Daten/cosets_breadthfirst_10.txt" using 2:3 with lines title "Breadthfirst StroLL"

set xlabel "Nebenklassen geordnet nach Leiterindex der Gruppe"
set ylabel "Anzahl der durchlaufenen Nebenklassen"

