#ifndef FIGELEMENT
#define FIGELEMENT

#include <string>
#include <vector>

using std::string;
using std::vector;
using std::ostream;




class figelement 
{
  public:

    virtual void write(ostream&) const = 0;
    virtual void translation(const double zx, const double zy) = 0;
    virtual void rotation(const double degree) = 0;
    virtual void scaling(const double scale) = 0;
};








#endif //FIGELEMENT
