#include <iostream>
#include <cstdlib>
#include <string>
#include <iostream>
#include <fstream>
#include <cmath>
#include "figfile.h"
#include "figline.h"
#include "figcircle.h"
#include "figstring.h"
#include "figarc.h"
#include "figobject.h"
#include "figcompound.h"


using std::cout;
using std::ios;
using std::fstream;


void generateFano(figcompound& gesamtbild);



int main() 
{ 
  string figname = "testfigfile.fig";
  fstream testfigfile;
  testfigfile.open(figname.c_str(), ios::out);

  figfile figplane;
  figplane.write(testfigfile);
  figcompound gesamtbild;

  generateFano(gesamtbild);
 
  gesamtbild.scaling(5);
  gesamtbild.translation(5,-5);
//  gesamtbild.rotation(30);

  gesamtbild.write(testfigfile);
  testfigfile.close();


  cout <<"\nFERTIG\n"; 
  return 1;
}


void generateFano(figcompound& fano)
{
  double pi = acos(-1);
  double x1,x2,y1,y2;
  for (unsigned i=0;i<3;++i)
  {
    x1 = cos((3+4*i)*pi/6);
    y1 = sin((3+4*i)*pi/6);
    x2 = cos((7+4*i)*pi/6);
    y2 = sin((7+4*i)*pi/6);
    figline kante(x1,y1,x2,y2);
    fano.add(kante);
  }
  for (unsigned i=0;i<3;++i)
  {
    x1 = cos((3+4*i)*pi/6);
    y1 = sin((3+4*i)*pi/6);
    x2 = 0.5*(cos((7+4*i)*pi/6) + cos((11+4*i)*pi/6));
    y2 = 0.5*(sin((7+4*i)*pi/6) + sin((11+4*i)*pi/6));
    figline kante(x1,y1,x2,y2);
    fano.add(kante);
  }
  figarc test(1,1,1,1,1,1);
  fano.add(test);
}








