#include "figcompound.h"



void figcompound::write(ostream& stream) const
{
  unsigned size = objects.size();
  for ( unsigned i=0; i<size; ++i)
  {
    objects[i].write(stream);
  }
}

void figcompound::translation(const double zx, const double zy)
{
  unsigned size = objects.size();
  for ( unsigned i=0; i<size; ++i)
  {
    objects[i].translation(zx, zy);
  }
}

void figcompound::rotation(const double degree)
{
  unsigned size = objects.size();
  for ( unsigned i=0; i<size; ++i)
  {
    objects[i].rotation(degree);
  }
}

void figcompound::scaling(const double scale)
{
  unsigned size = objects.size();
  for ( unsigned i=0; i<size; ++i)
  {
    objects[i].scaling(scale);
  }
}



